### Method

# Gtk GLAreaset_allowed_apis

since: 4.12

#### Declaration [src]

    void
    gtk_gl_area_set_allowed_apis (
      GtkGLArea* area,
      GdkGLAPI apis
    )

#### Description [src]

Sets the allowed APIs to create a context with.

You should check `GtkGLArea:api` before drawing with either API.

By default, all APIs are allowed.

Available since: 4.12

Sets property | `Gtk.GLArea:allowed-apis`

#### Parameters

`apis`

  Type: `GdkGLAPI`

  The allowed APIs.